#ifndef BMPPICTUREFORMAT_H
#define BMPPICTUREFORMAT_H

#include "PictureFormat.h"
#include <windows.h>
class String;

class BMPPictureFormat : public PictureFormat
{
	BITMAPFILEHEADER file_header;
	BITMAPINFOHEADER bitmap_info_header;
	Color * data;
public:
	explicit BMPPictureFormat(const String & name);
	virtual ~BMPPictureFormat();
	virtual const Color * colors()const;
	virtual unsigned height()const;
	virtual unsigned width()const;
};
#endif //BMPPICTUREFORMAT_H