#ifndef HARDWARE2D_H
#define HARDWARE2D_H

#include "HardwarePicture2D.h"
class Color;

class Hardware2D
{
public:	
	virtual ~Hardware2D()
	{}
	virtual bool set_mode(unsigned sx, unsigned sy) =0;
	virtual unsigned get_height() =0;
	virtual unsigned get_width() =0;
	virtual void stop_mode() =0;

	virtual void fill(int left, int top, int right, int bottom, const Color & color) =0;
	virtual void flip() =0;

	virtual HardwarePicture2D * load_picture(const Color * colors, unsigned width, unsigned height, unsigned stride) =0;
};
#endif //HARDWARE2D_H