#ifndef INTERFACE2D_H
#define INTERFACE2D_H

class Hardware2D;
#include "String.h"

class Interface2D
{
public:	
	explicit Interface2D(Hardware2D * hardware)
		:	hardware( hardware )
	{}
	virtual ~Interface2D()
	{}
	virtual String get_caption()const
	{
		return String("Game 8-)");
	}

	virtual bool life_cycle(unsigned delta_time_ms)
	{
		return false; // false,   ,   
	}
	virtual bool render()
	{
		return true;
	}	
protected:
	Hardware2D * hardware;
};

Interface2D * create_game(Hardware2D * hardware);

#endif //INTERFACE2D_H