#include "SoftwareHardwarePicture2D.h"
#include "SoftwareHardware2D.h"
#include "LogPtr.h"
#include "String.h"

SoftwareHardwarePicture2D::SoftwareHardwarePicture2D(SoftwareHardware2D * hardware)
:	hardware( hardware )
{
	hardware->add_picture_count(1);
}

SoftwareHardwarePicture2D::~SoftwareHardwarePicture2D()
{
	hardware->add_picture_count(-1);
}

void SoftwareHardwarePicture2D::blit(int left, int top, int alpha)
{
	hardware->blit( *this, left, top, alpha );
}
