//     BCC5.5
#ifndef __SAFE_NEW_H__
#define __SAFE_NEW_H__

#include <stdlib.h> //   size_t

//BCC5.5     ,     new   delete
//MSVC6.0    ,    .
//   BCC  

void * __cdecl operator new( size_t s, const char * file, int line );

void * __cdecl operator new[]( size_t s, const char * file, int line );

void * __cdecl operator new( size_t s );
void __cdecl operator delete( void * p );

void * __cdecl operator new[]( size_t s );
void __cdecl operator delete[]( void * p );

#define new new( __FILE__, __LINE__ )

#endif //__SAFE_NEW_H__