#ifndef AUTOPTR_H
#define AUTOPTR_H

template<class T>
class AutoPtr
{
	const AutoPtr & operator=(const AutoPtr & );
public:
	AutoPtr( T * ptr = 0)
		:	ptr( ptr )
	{}
	//      BCC5.5,  
	//  ,     
	AutoPtr(const AutoPtr & au)
		:	ptr( au.ptr )
	{
		au.ptr = 0;
	}
	~AutoPtr()
	{
		delete ptr; ptr = 0;
	}
	T * operator->()
	{
		return ptr;
	}
	operator bool()const
	{
		return ptr != 0;
	}
private:
	T * ptr;
};

#endif //AUTOPTR_H