#ifndef PACMANINTERFACE2D_H
#define PACMANINTERFACE2D_H

#include "Interface2D.h"
#include "Scene2D.h"
#include "Animation2D.h"
#include "FontObject2D.h"
#include "FPS.h"

class PacmanInterface2D : public Interface2D
{
	Scene2D scene; //   ,    

	Animation2D apple;
	Animation2D pic0;
	Animation2D pic1;

	FPS fps;

	FontObject2D hello;
	unsigned time_ms;
public:	
	PacmanInterface2D(Hardware2D * hardware);
	virtual ~PacmanInterface2D();

	virtual bool life_cycle(unsigned delta_time_ms);	
	virtual bool render();
};
#endif //PACMANINTERFACE2D_H