#ifndef PICTUREFORMAT_H
#define PICTUREFORMAT_H

class Color;

class PictureFormat
{
	PictureFormat(const PictureFormat &);
	const PictureFormat & operator=(const PictureFormat &);
public:
	PictureFormat()
	{}
	virtual ~PictureFormat()
	{}
	virtual unsigned width()const =0;
	virtual unsigned height()const =0;
	virtual const Color * colors()const =0;
	
	unsigned get_shift(unsigned x, unsigned y )const
	{
		return x + y * width();
	}
};

#endif //PICTUREFORMAT_H