#ifndef SOFTWAREHARDWAREPICTURE2D_H
#define SOFTWAREHARDWAREPICTURE2D_H

#include "HardwarePicture2D.h"

#include "Array2D.h"
#include "Color.h"
class SoftwareHardware2D;

class SoftwareHardwarePicture2D : public HardwarePicture2D
{
public:	
	virtual ~SoftwareHardwarePicture2D();

	virtual void blit(int left, int top, int alpha);
private:
	explicit SoftwareHardwarePicture2D(SoftwareHardware2D * hardware);
	friend class SoftwareHardware2D;

	SoftwareHardware2D * hardware;
	Array2D<Color> canvas;
};
#endif //SOFTWAREHARDWAREPICTURE2D_H